org.apache.calcite.avatica.remote

## Class Service.ExecuteBatchRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.ExecuteBatchRequest

Enclosing interface:
  Service

    public static class Service.ExecuteBatchRequest
    extends Service.Request

Request object to execute a batch of commands.

### Field Summary

Fields
`String` `connectionId`
`List<List<TypedValue>>` `parameterValues`
`int` `statementId`

### Constructor Summary

Constructors
Constructor and Description
`ExecuteBatchRequest(String connectionId, int statementId, List<List<TypedValue>> parameterValues)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Service.ExecuteBatchResponse` `accept(Service service)`
`boolean` `equals(Object o)`
`List<org.apache.calcite.avatica.proto.Requests.UpdateBatch>` `getProtoUpdateBatches()`
`int` `hashCode()`
`boolean` `hasProtoUpdateBatches()` Does this instance contain protobuf update batches.

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionId

    public final String connectionId

#### statementId

    public final int statementId

#### parameterValues

    public final List<List<TypedValue>> parameterValues

### Constructor Detail

#### ExecuteBatchRequest

    public ExecuteBatchRequest(String connectionId,
                               int statementId,
                               List<List<TypedValue>> parameterValues)

### Method Detail

#### hasProtoUpdateBatches

    public boolean hasProtoUpdateBatches()

Does this instance contain protobuf update batches.

Returns:
  True if `protoUpdateBatches` is non-null.

#### getProtoUpdateBatches

    public List<org.apache.calcite.avatica.proto.Requests.UpdateBatch> getProtoUpdateBatches()

Returns:
  The protobuf update batches.

#### accept

    public Service.ExecuteBatchResponse accept(Service service)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`